Class MileStone Extends GanttPlotObject
(Defined in: jpgraph_gantt.php : 3460)

MileStone | GanttPlotObject
__construct() | SetCaptionMargin() SetConstrain() SetCSIMAlt() SetCSIMTarget() SetLabelLeftMargin()

Class usage and Overview
Represents a milestone in the GanttChart. A milstone is created by specifyin a date.

See also related classes:
GanttGraph

Class Methods

MileStone ::
__construct($aVPos, $aLabel, $aDate, $aCaption)
Create a new milestone in a GanttGraph

Argument | Default | Description
--- | --- | ---
$aVPos |  | Row for milestone
$aLabel |  | Label
$aDate |  | Position on the date scale
$aCaption | "" | Caption string

Description:
A milestone is by default displayed as a "Diamond" mark at a specified row at a specified date. It can also have a caption to the right of the milestone mark.
See also:

- GanttPlotObject::__construct()

Example:

$graph = new GanttGraph();
// Setup the gantt graph...
...
$ms = new MileStone(7,"M5","2002-01-28","28/1");
$graph->Add($ms);